# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="A workspace switcher plugin for xfce4-panel which can be used for the i3wm."

HOMEPAGE="https://github.com/denesb/xfce4-i3-workspaces-plugin"

SRC_URI="https://github.com/denesb/xfce4-i3-workspaces-plugin/archive/1.4.0.tar.gz"

LICENSE="GPL-3"

SLOT="0"

KEYWORDS="~amd64"

RDEPEND="
	>=dev-libs/glib-2.0.0
	>=x11-libs/gtk+-3.0.0
	>=xfce-base/libxfce4ui-4.12.0
	>=xfce-base/libxfce4util-4.12.0
	>=xfce-base/xfce4-panel-4.12.0
	>=x11-misc/i3ipc-glib-1.0.1
"

BDEPEND="
	dev-util/xfce4-dev-tools
	virtual/pkgconfig
"

src_configure() {
	./autogen.sh \
		--host=${CHOST} \
		--prefix=/usr \
		--libdir='${prefix}/lib64' \
		--infodir=/usr/share/info \
		--mandir=/usr/share/man || die
}
